body {
  /* background:#eee; */
  font-family: 'Montserrat', sans-serif;
}

h1, h2 {
  text-transform: uppercase;
  color:#333;


  font-style: normal;
  font-weight: 800;
  font-size: 24px;
  line-height: 33px;
}

h2 {
  font-size: 20px;
  line-height: 26px;
}

p {
  font-weight: 400;
  color:#333;
  font-size:16px;
  line-height: 24px;
}

.playlist-player {
  position:fixed;
  bottom:0;
  left:0;
  right:0;
  background:#FFFFFF;
  display:none;
  /* box-shadow: rgba(0, 0, 0, 0.25) 0px -3px 10px 1px; */
  /* border-top:1px solid #27272759; */
  user-select:none;
  font-size:15px;
  box-shadow: 0px -8px 25px -1px rgba(48, 0, 11, 0.12);
}

.playlist-player.visible {
  display:block;
}

.playlist-player .playlist-art {
  padding-left:12px;
  padding-right:12px;
}

.playlist-player .playlist-art img {
  width:60px;
  height:60px;
  border-radius:3px;
}

.top-bar{
  padding-top:8px;
  padding-bottom:8px;
  display:flex;
  /* height:50px; */
  max-width:500px;
  margin:0 auto;
  justify-content: space-between;
  align-items:center;
}

.middle-bar {
  display:none;
  text-align:center;
}

.playlist-control, .playlist-control-next {
  width:50px;
  display:flex;
  align-items: center;
  justify-content: center;
  margin:15px 15px;
}

.playlist-status {
  flex-grow:1;
  display:flex;
  flex-direction: column;
  justify-content: center;
  max-width:min(50vw, 360px);
}

.playlist-timing {
  /* width:60px; */
  /* text-align:right; */
  font-size:0.85rem;
}

.playlist-lower {
  display:flex;
  align-items: center;
}

.playlist-progress {
  width:100%;
  height:10px;
  background:#FFF;
  border-radius:5px;
  overflow:hidden;
}

.playlist-progress-complete {
  width:0;
  height:2px;
  background:#00D084;
  position:absolute;
  top:-1px;
  left:0;
  pointer-events:none;
}

.playlist-next {
  display:flex;
  align-items:center;
  height:40px;
  margin-right:70px;
  padding-left:10px;
  padding-bottom:10px;
}
.playlist-next-title {
  flex-grow: 1;
  text-align: center;
  padding-left:10px;
}

.playlist-item {
  padding:10px 20px;
  cursor:pointer;
  border-top:1px solid #272727;
  background:#eee;
  display:none;
}


.playlist-item.active,
.playlist-item.next,
.playlist-player.expanded .playlist-item {
  display:block;
}

.playlist-inner {
  display:flex;
  justify-content: center;
  max-width:500px;
  margin:0 auto;
}

.playlist-index { margin-right:15px; }

.playlist-item.active {
  font-weight: bold;
  cursor:auto;
}
.playlist-text-status { display:flex; }
.playlist-title, .playlist-title-cnt {
  flex-grow: 1;
}
.playlist-top-title {

  white-space:nowrap;
  text-overflow: ellipsis;
  overflow: hidden;
  padding-bottom:8px;
  padding-right:15px;
  position:relative;
  cursor:pointer;
}
.playlist-top-title:after{
  content:url(/list/images/icon-link.svg);
  display:block;
  width:15px;
  height:15px;
  position:absolute;
  top:2px; right:0;
}

.playlist-duration-cnt {
  margin-left:15px;
  min-width:35px;
}
.playlist-item.playing .playlist-duration-cnt { display:flex; font-size:7px; justify-content:center; align-self:center; }
.playlist-item.playing .playlist-duration-cnt .playlist-duration { display:none; }


.playlist-control .playlist-play,
.playlist-control.playing .playlist-pause {
  display:block;
  cursor:pointer;
}
.playlist-control .playlist-play,
.playlist-control .playlist-pause { height:16px; }


.playlist-control.playing .playlist-play,
.playlist-control .playlist-pause {
  display:none;
}
.playlist-control-next{
  opacity:0;
  cursor:auto;
  pointer-events:none;
  margin-right:10px;
  height:18px;
}
.playlist-control-next.has-next{
  opacity:1;
  cursor:pointer;
  pointer-events:inherit;
}

.bottom-bar { display:none; }
.bottom-bar .playlist-contents {
  /* height:0px; */
  transition: height 0.25s linear;
}
.playlist-player.expanded .playlist-contents {
  height:auto;
}

.bottom-bar .playlist-next-title { overflow:hidden; text-overflow:ellipsis; white-space:nowrap;  }
/* .bottom-bar.expanded .playlist-next-title { height:0px; transition: height 0.25s linear; } */

.playlist-player .playlist-expand-control {
  margin-left:5px;
  transform-origin: center center;
  transition:transform 0.25s linear;
  margin-right:10px;
  background:none;
  box-shadow: none;
}

.expanded .playlist-expand-control { transform:rotate(180deg); }
.bottom-bar.collapsed .playlist-expand-control { top:30px; }
.bottom-bar.collapsed .playlist-next { height:0; }

.playlist-audio-cnt { max-width:360px; }
.playlist-audio {
  color:#FFF;
  max-width:360px;
  overflow:hidden;
  border-radius:15px;
  padding:25px;
  display:flex;
  flex-direction: column;
  justify-content: space-between;
  position: relative;
  padding-top:50%;
}

.audio-background {
  background-size:cover;
  background-position:center center;
  background-repeat:no-repeat;
  position:absolute;
  top:0;
  right:0;
  left:0;
  bottom:0;
  z-index:-1;
  filter:blur(2px)
}

.audio-image {
  position:absolute;
  top:8%;
  left:50%;
  transform:translateX(-50%);
  width:40%;
  height:40%;
  background-size:contain;
  background-position:center center;
  background-repeat:no-repeat;
}

.playlist-audio .audio-title { padding-bottom:1rem; font-size:1rem; font-weight:500; }

.playlist-audio .controls { display:flex; }
.playlist-audio .controls .control-button { display:flex; align-items: center; justify-content: center; margin-right:20px; }

.playlist-audio .control-button .control-play { display:block; }
.playlist-audio.playing .control-button .control-play { display:none; }

.playlist-audio .control-button .control-pause { display:none; }
.playlist-audio.playing .control-button .control-pause { display:block; }
.playlist-audio .progress-time-cnt { display:flex; }
.playlist-audio .progress-cnt { flex-grow: 1; display:flex; flex-direction:column; justify-content:center; }
.playlist-audio .control-progress {
  width:100%;
  height:10px;
  background-color:rgba(255, 255, 255, 0.4);
  cursor:pointer;
  border-radius:5px;
  overflow:hidden;
  margin-top:10px;
}
.playlist-audio .control-progress-complete {
  height:100%;
  width:0%;
  background-color:rgb(243, 93, 86);
}

.playlist-player .media-button {
  box-shadow:none;
  width:30px;
  height:30px;
  min-width:30px;
  margin:5px 10px;
}

.media-button {
  width: 50px;
  min-width:50px;
  height: 50px;
  border-radius: 50%;
  box-shadow: rgba(0, 0, 0, 0.15) 0px 4px 4px 0px;
  cursor: pointer;
  display: flex;
  align-items: center;
  justify-content: center;
  background: rgb(255, 255, 255);
}

.playlist-player .playlist-art  { width:60px; }
.playlist-player .playlist-controls {
  display:flex;
  width:100px;
  max-width:100px;
}

.playlist-podcast-name { max-width:calc(100vw - 185px);
  /* text-overflow: ellipsis; white-space:nowrap; */
  font-weight:500;
  overflow: hidden;
  display: -webkit-box;
  -webkit-line-clamp: 2;
  -webkit-box-orient: vertical;
}

.podcast-list-container {
  margin-bottom:60px;
}

.podcast-list-container > .podcast { margin-top:35px;}
.podcast-list-container .podcast + .podcast { margin-top:40px;}

body.player-showing {
  margin-bottom:150px;
}


/* related lists */
.related-lists-cnt, .parent-list-cnt {
  display:flex;
  flex-wrap:wrap;
  margin:-10px
}

.related-lists-cnt .related-list-link {
  flex-basis: 50%;
  max-width:240px;
}
.related-list-link.parent {
  order:-1;
  align-self:stretch;
}

.related-list-link a {
  padding:20px;
  padding-top:40%;
  font-weight:500;
  color:#FFF;
  display:block;
  box-sizing:border-box;
  margin:10px;
  border-radius:10px;
  background-size:cover;
  background-position: center center;
  text-decoration:none;
  box-shadow: rgba(0, 0, 0, 0.15) 0px 4px 4px 0px;
  height:85%;
}


/* PLAYING ANIMATION */
#audio-anim-placeholder { display:none; }
.stopped .playing-anim { display:none; }
.playing-anim {
  background: rgba(0,0,0,.1);
  width: 3em;
  height: 3em;
  border-radius: .3em;
  display: flex;
  justify-content: space-between;
  align-items: flex-end;
  padding: .5em;
  box-sizing: border-box;
}

.playing-bar {
  display: inline-block;
  background: #000000;
  width: .5em;
  height: 100%;
  animation: up-and-down 1.3s ease infinite alternate;
}

.stopped .playing-bar {
  animation: down 0.5s ease;
  height:10%;
}

.playing-bar-1 {
  height: 60%;
}
.playing-bar-2 {
  height: 30%;
  animation-delay: -2.4s;
}
.playing-bar-3 {
  height: 75%;
  animation-delay: -3.7s;
}

@keyframes up-and-down {
  10% {
    height: 30%;
  }
  30% {
    height: 100%;
  }
  60% {
    height: 50%;
  }
  80% {
    height: 75%;
  }
  100% {
    height: 20%;
  }
}

@keyframes down {
  0% {
    height: 50%;
  }
  100% {
    height: 10%;
  }
}


/* PODCAST LIST */



.podcast .top-row {
  display:flex;
  align-items:center;
}
.podcast .top-row .album-art {
  min-width:60px;
  width:60px;
  height:60px;
  border-radius:3px;
  overflow:hidden;
}

.podcast .top-row .clip-details {
  padding-left:16px;
  padding-right:16px;
  font-size:14px;
  font-weight:600;
  flex-grow:1;
}
.podcast .top-row .clip-details .podcast-name {
  opacity:0.5;
}

.podcast .top-row .clip-details .clip-name {

}

.podcast .top-row .clip-controls {
  display:flex;
  flex-direction:column;
  justify-content: space-between;
  height:100%;
}

.podcast .top-row .clip-controls .clip-duration {
  font-size:14px;
  text-align:center;
  opacity:0.5;
  margin-left:-10px;
  margin-right:-10px;
}

.podcast .top-row .clip-controls .control-button {
  width: 40px;
  height:40px;
  max-width:40px;
  min-width: 0;
  border-radius:20px;
  overflow:hidden;
  background: #00D084;
  box-shadow:none;
}
.podcast .top-row .clip-controls .control-button div { height:20px; }

.podcast.playing .clip-controls .control-button .control-play { display:none; }
.podcast .clip-controls .control-button .control-pause { display:none; }
.podcast.playing .clip-controls .control-button .control-pause { display:block; }

.podcast .description {
  border-top:1px solid #E9EEF3;
  margin-top:15px;
  font-weight: 400;
  color: #333;
  font-size: 16px;
  line-height: 24px;
}
.podcast .description.condensed .external-links {
  display:none;
}
.external-links { margin-top:40px; margin-bottom:40px; }

.podcast .description.condensed .description-text {
  /* max-height:40px; */
  /* overflow: hidden; */
  /* text-overflow: ellipsis; */
  overflow:hidden;
  /* display: -webkit-box;
  -webkit-line-clamp: 3;
  -webkit-box-orient: vertical; */
}

.podcast .description .description-text {
  margin-block-start: 1em;
  margin-block-end: 1em;
}
.podcast .description .description-text > p {
  margin-top:0;
}

.podcast .description .description-toggle {
  color:#00D084;
  cursor:pointer;
  /* text-decoration: underline; */
}
.podcast .description.condensed .description-toggle .expanded,
.podcast .description.expanded .description-toggle .condensed { display:none; }

.podcast-icon {
  display: block;
  padding-top:40px;
  background-repeat: no-repeat;
  background-position: top center;
  text-align:center;
  color:#333;
  text-decoration: none;
  font-size:15px;
  text-transform:capitalize;
}
.podcast-icon.icon-itunes {
  background-image:url(/list/images/podcast-icons/itunes-bw.png)
}
.podcast-icon.icon-spotify {
  background-image:url(/list/images/podcast-icons/spotify-bw.png)
}
.podcast-icon.icon-google {
  background-image:url(/list/images/podcast-icons/google-bw.png)
}
.podcast-icon.icon-itunes:hover {
  background-image:url(/list/images/podcast-icons/itunes.png)
}
.podcast-icon.icon-spotify:hover {
  background-image:url(/list/images/podcast-icons/spotify.png)
}
.podcast-icon.icon-google:hover {
  background-image:url(/list/images/podcast-icons/google.png)
}
